import React, { Component } from 'react';
import style from './index.less';

class TipsMsg extends Component {
    constructor(props) {
        super(props)
    }

    render() {
        const { tips, showTips, tipsDiscalimer, tipsImg, tmpFlg} = this.props
        return <div className={style["tips"]}>
        <h1>
          <img src={tipsImg} />
          提示信息
        </h1>
        <div className={style["content"]}>
          {tips && tips.details ? (
            <div>
              <div className={style["title"]}>
                {tips.name}
                <span
                  className={style["tips-details"]}
                  onClick={() => showTips()}
                  style={{display:tmpFlg?'none':'inline-block'}}
                >
                  详情
                </span>
              </div>
              {tips.details &&
                tips.details.map((item, index) => {
                  return (
                      <div>
                        <div
                          dangerouslySetInnerHTML={{
                            __html: item.title
                          }}
                        />
                        <div
                          dangerouslySetInnerHTML={{
                            __html: item.content
                          }}
                        />
                        {item.isReason === 1 && (
                          <div className={style["warn"]}>
                            {tipsDiscalimer.data.data &&tipsDiscalimer.data.data.find(item => item.title == '诊断免责信息')&&tipsDiscalimer.data.data.find(item => item.title == '诊断免责信息').description}
                          </div>
                        )}
                      </div>
                  );
                })}
            </div>
          ) : (
            "无"
          )}
        </div>
    </div>
    }
}

export default TipsMsg;

