import { SET_SEARCH_VALUE, GET_SEARCH_RESULT } from '../types/medicalInfo'; 
import { setSearchValue, getSearchResult } from '../actions/medicalInfo'; 

const initState = {
    searchValue: '',
    searchResult: []
}

export default function (state=initState, action) {
    switch(action.type) {
        case SET_SEARCH_VALUE: 
            return setSearchValue(state, action);
        case GET_SEARCH_RESULT: 
            return getSearchResult(state, action);
        default: 
            return state;
    }
}