import React from 'react';
import { connect } from 'react-redux';
import { getSearchList } from '@store/async-actions/ScaleSearch';
import ScaleSearch from '@components/ScaleSearch';
import {getScaleInfo} from '../store/async-actions/pushMessage';

function mapStateToProps(state) {
    return{
        searchResult: state.scaleSearch.searchResult,
        formulaResult: state.pushMessage.formulaResult,//
    }
}

function mapDispatchToProps(dispatch) {
    return {
        handleChangeValue(val){
            dispatch(getSearchList(val))
        },
        getScale(name) {
            dispatch(getScaleInfo(name))
        }
    }
}
const ScaleSearchContainer = connect(
    mapStateToProps,
    mapDispatchToProps
)(ScaleSearch);

export default ScaleSearchContainer
